Subject: Re: [RFC v2 1/1] net: Add support to configure SR-IOV VF minimum and maximum Tx rate through ip tool.

From: Michal Kubecek <[email-masked]>
Date: Wed, 26 Mar 2014 08:37:03 +0100

On Monday 24 of March 2014 18:55:00 Ben Hutchings wrote:
> 
> Also, this special-casing of -1 isn't documented anywhere.  Is it even
> necessary?  If userland needs to set just one limit, it can read the
> existing limits and set both.

Wouldn't this open a window for a race if one process wanted to change 
one limit and another process wanted to change the other at the same 
time? Such scenario doesn't sound very realistic but our customers 
taught me that things I don't find very realistic tend to be used quite 
frequently by them.

On the other hand, if changing only one limit is going to be common, it 
might be more appropriate to add IFLA_VF_TX_MIN_RATE instead and always 
pass the minimum and maximum rate separately (and pass only one if only 
one is going to be changed).

                                                         Michal Kubecek